com.creamtec.ajaxswing.gui

## Class AjaxSwingToolkit15

- java.lang.Object
- - java.awt.Toolkit
  - - sun.awt.SunToolkit
    - - com.creamtec.ajaxswing.gui.AjaxSwingToolkit
      - - com.creamtec.ajaxswing.gui.AjaxSwingToolkit130
        - - com.creamtec.ajaxswing.gui.AjaxSwingToolkit142
          - - com.creamtec.ajaxswing.gui.AjaxSwingToolkit15

- All Implemented Interfaces:
    sun.awt.ComponentFactory, sun.awt.InputMethodSupport, sun.awt.KeyboardFocusManagerPeerProvider, sun.awt.motif.MToolkit, sun.awt.WindowClosingListener, sun.awt.WindowClosingSupport
  Direct Known Subclasses:
    AjaxSwingHeadlessToolkit15

      public class AjaxSwingToolkit15
      extends AjaxSwingToolkit142

  AjaxSwing's implementation of AWT Toolkit is provided to override instantiation of peers and control other platform specific operations such as image loading. The peers created are AjaxSwing's peers, which do not have any GUI. This allows to run the client as a console application, while still keeping track of window operations such as show and hide.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class sun.awt.SunToolkit

      `sun.awt.SunToolkit.IllegalThreadException, sun.awt.SunToolkit.InfiniteLoop, sun.awt.SunToolkit.OperationTimedOut`

  - ### Field Summary

    - ### Fields inherited from class sun.awt.SunToolkit

      `DEFAULT_WAIT_TIME, DESKTOPFONTHINTS, GRAB_EVENT_MASK, MAX_BUTTONS_SUPPORTED`

    - ### Fields inherited from interface sun.awt.motif.MToolkit

      `hpFastSwing`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingToolkit15()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.peer.KeyboardFocusManagerPeer` | `createKeyboardFocusManagerPeer(java.awt.KeyboardFocusManager focusManager)`
    `static java.lang.String` | `getClassName()` This function is here just to allow others to find out the name of this class after obfuscation

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.AjaxSwingToolkit142

      `isUndecorated`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.AjaxSwingToolkit130

      `createRobot, createSystemTray, createTrayIcon, getDefaultCharacterEncoding, getDefaultUnicodeEncoding, getGlobalCursorManager, getInputMethodAdapterDescriptor, getKeyboardFocusManagerPeer, grab, isDesktopSupported, isTraySupported, isWindowOpacityControlSupported, isWindowShapingSupported, isWindowTranslucencySupported, mapInputMethodHighlight, ungrab`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.AjaxSwingToolkit

      `areExtraMouseButtonsEnabled, beep, checkImage, createButton, createCanvas, createCheckbox, createCheckboxMenuItem, createChoice, createDialog, createDragGestureRecognizer, createDragSourceContextPeer, createFileDialog, createFrame, createImage, createImage, createImage, createLabel, createList, createMenu, createMenuBar, createMenuItem, createPanel, createPopupMenu, createScrollbar, createScrollPane, createTextArea, createTextField, createWindow, getColorModel, getFontMetrics, getFontPeer, getIconFileName, getImage, getImage, getImageFileName, getImageUrl, getPrintJob, getScreenResolution, getSystemClipboard, isFrameStateSupported, isWindowUndecorated, prepareImage, registerIcon, registerImage, registerImage, registerStandardImages, setDelegateToolkitClassName, sync`

    - ### Methods inherited from class sun.awt.SunToolkit

      `addModalityListener, awtLock, awtLockNotify, awtLockNotifyAll, awtLockWait, awtLockWait, awtTryLock, awtUnlock, canPopupOverlapTaskBar, checkAndSetPolicy, closeSplashScreen, consumeNextKeyTyped, createImage, createInputMethodWindow, createNewAppContext, disableBackgroundErase, disableBackgroundErase, enableInputMethodsForTextComponent, executeOnEDTAndWait, executeOnEventHandlerThread, executeOnEventHandlerThread, executeOnEventHandlerThread, flushPendingEvents, flushPendingEvents, getContainingWindow, getDataTransfererClassName, getDefaultKeyboardLocale, getDesktopFontHints, getFocusAcceleratorKeyMask, getFontList, getHeavyweightComponent, getNativeContainer, getNumberOfButtons, getScaledIconData, getScaledIconImage, getScreenSize, getStartupLocale, getSunAwtDisableMixing, getSunAwtErasebackgroundonresize, getSunAwtNoerasebackground, getSystemEventQueueImplPP, getWindowClosingListener, getWindowDeactivationTime, insertTargetMapping, invokeLaterOnAppContext, isAWTLockHeldByCurrentThread, isContainingTopLevelOpaque, isContainingTopLevelTranslucent, isDispatchThreadForAppContext, isInstanceOf, isLightweightOrUnknown, isModalExcluded, isModalExcludedSupported, isModalExclusionTypeSupported, isModalityTypeSupported, isNativeGTKAvailable, isPostEventQueueEmpty, isPrintableCharacterModifiersMask, isSwingBackbufferTranslucencySupported, isSystemGenerated, isTranslucencyCapable, isWindowOpacitySupported, needsXEmbed, needUpdateWindow, notifyModalityPopped, notifyModalityPushed, postEvent, postPriorityEvent, realSync, realSync, removeModalityListener, setAAFontSettingsCondition, setLWRequestStatus, setModalExcluded, setSystemGenerated, setWindowClosingListener, setWindowDeactivationTime, targetToAppContext, useBufferPerWindow, windowClosingDelivered, windowClosingNotify`

    - ### Methods inherited from class java.awt.Toolkit

      `addAWTEventListener, addPropertyChangeListener, createCustomCursor, createImage, getAWTEventListeners, getAWTEventListeners, getBestCursorSize, getDefaultToolkit, getDesktopProperty, getLockingKeyState, getMaximumCursorColors, getMenuShortcutKeyMask, getPrintJob, getProperty, getPropertyChangeListeners, getPropertyChangeListeners, getScreenInsets, getSystemEventQueue, getSystemSelection, isAlwaysOnTopSupported, isDynamicLayoutActive, removeAWTEventListener, removePropertyChangeListener, setDynamicLayout, setLockingKeyState`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingToolkit15

          public AjaxSwingToolkit15()

  - ### Method Detail

    - #### getClassName

          public static java.lang.String getClassName()

      This function is here just to allow others to find out the name of this class after obfuscation

    - #### createKeyboardFocusManagerPeer

          public java.awt.peer.KeyboardFocusManagerPeer createKeyboardFocusManagerPeer(java.awt.KeyboardFocusManager focusManager)
                                                                                throws java.awt.HeadlessException

      Overrides:
        `createKeyboardFocusManagerPeer` in class `AjaxSwingToolkit130`
      Throws:
        `java.awt.HeadlessException`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.